package com.mvc.dao;

import com.mvc.entity.TRgeAuth;
import com.mvc.entity.TRgeAuthExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TRgeAuthMapper {
    long countByExample(TRgeAuthExample example);

    int deleteByExample(TRgeAuthExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TRgeAuth record);

    int insertSelective(TRgeAuth record);

    List<TRgeAuth> selectByExample(TRgeAuthExample example);

    TRgeAuth selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TRgeAuth record, @Param("example") TRgeAuthExample example);

    int updateByExample(@Param("record") TRgeAuth record, @Param("example") TRgeAuthExample example);

    int updateByPrimaryKeySelective(TRgeAuth record);

    int updateByPrimaryKey(TRgeAuth record);
}